## elpy 1.23.0

=== requirements.txt ===
flake8==3.5.0
jedi==0.11.1
rope==0.10.7
autopep8==1.3.5
yapf==0.21.0

=== debian/changelog ===
elpy (1.23.0-1) unstable; urgency=medium

  * New upstream version.
  * Build and install info page.
  * Declare Standards-Version: 4.2.0
    - §12.7, Install NEWS.rst as NEWS.
  * Add "Local Variables" footer to NEWS so that it opens in ReST mode.
  * Compress README.rst with gzip before installing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 08 Aug 2018 17:48:06 -0400

elpy (1.22.0-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.
  * Add 0002-Disable-tests-for-black-code-formatter.patch
    - Debian does not yet provide a package for Black, "the uncompromising
      Python code formatter" (https://github.com/ambv/black).
    - Disable these tests until there is something to test.
  * Rename 0001-Disable-failing-tests.patch to
        -> 0001-Disable-test-shell-send-region-or-buffer.patch

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 03 Jul 2018 14:39:24 -0400

elpy (1.21.0-1) unstable; urgency=medium

  * New upstream version.
  * Cleanup elpy.egg-info files to allow consecutive dpkg-buildpackage runs
    to succeed from the unpacked source package. (Closes: #898205)
  * Begin switch from python-autopep8 to python3-autopep8:
    - Update elpa-elpy's Suggests to reflect this change.
    - Add python3-autopep8 to Build-Depends.
    - Python-autopep8 cannot yet be dropped from Build-Depends, because
      self-tests do not yet seem to be Python 3-only ready.  At present
      it is automatically installed when a user installs python3-autopep8,
      because python3-autopep8 Recommends its Python 2 variant.
      See Bug #899212 for progress on Elpy's transition to depending
      exclusively on Python 3 libraries.
  * Update Maintainer team name and email address.
  * Change section from lisp to devel, because Elpy is an integrated
    development environment and devel is the correct section for IDEs.
    In addition to correctness, this change makes elpy more discoverable to
    users.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 27 May 2018 12:26:40 -0400

elpy (1.20.0-1) unstable; urgency=medium

  * Initial release. (Closes: #825980, #861174)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 27 Apr 2018 14:17:35 -0400

=== debian/control ===
Source: elpy
Section: devel
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 11~)
             , dh-elpa
             , dh-python
             , python3-all
             , python3-setuptools
             , python3-flake8
             , python3-jedi
             , python3-autopep8 <!nocheck>
# python-autopep8 still seems to be needed for self-tests to pass.
# See Bug #899212 for more information.
             , python-autopep8 <!nocheck>
             , yapf3
             , python3-sphinx
             , elpa-company <!nocheck>
             , elpa-find-file-in-project <!nocheck>
             , elpa-highlight-indentation <!nocheck>
             , elpa-pyvenv <!nocheck>
             , elpa-yasnippet <!nocheck>
             , elpa-s <!nocheck>
             , elpa-dash <!nocheck>
             , elpa-f <!nocheck>
             , python3-mock <!nocheck>
             , python3-nose <!nocheck>
             , python3-pip <!nocheck>
# Dependencies used only for self-tests
             , python-jedi <!nocheck>
             , yapf <!nocheck>
             , python-pip <!nocheck>
             , python-flake8 <!nocheck>
             , texinfo
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/elpy
Vcs-Git: https://salsa.debian.org/emacsen-team/elpy.git
Homepage: https://elpy.readthedocs.io/en/latest/index.html
Testsuite: autopkgtest-pkg-elpa

Package: elpa-elpy
Architecture: all
Depends: ${elpa:Depends}
       , ${python3:Depends}
       , ${misc:Depends}
       , elpa-company
       , elpa-find-file-in-project
       , elpa-highlight-indentation
       , elpa-pyvenv
       , elpa-yasnippet
       , elpa-s
Recommends: emacs (>= 46.0)
          , python3-flake8
          , python3-jedi
Suggests: python3-autopep8
        , yapf3
        , python3-pip
Enhances: emacs
        , emacs25
Description: Emacs Python Development Environment
 The Emacs Lisp Python Environment in Emacs
 .
 Elpy is an Emacs package that brings powerful Python editing to
 Emacs.  It combines a number of existing Emacs packages, written in
 both Emacs Lisp as well as Python.
 .
 Features:
   * Navigation by code indentation and code definition.
   * Move the current region as a code block.
   * Treat a working tree as a coherent project; search for files,
     code, or text within the project.
   * Interact with Python interpreters and test runners.
   * Browse the Python built-in documentation.
   * Refactor code and symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = elpy
LC_ALL := C.UTF-8
export LC_ALL

%:
	dh $@ --with elpa,python3,sphinxdoc --buildsystem=pybuild

# docs are not generated without this override
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man # Manpage generator
	PYTHONPATH=. sphinx-build -N -btexinfo docs/ build/info
	makeinfo --no-split build/info/Elpy.texi -o build/info/elpy.info
	cat NEWS.rst debian/local-var-snippet > build/NEWS
	gzip -9 < README.rst > build/README.rst.gz

## elpy 1.28.0

=== requirements.txt ===
flake8==3.5.0
jedi==0.12.1
rope==0.11.0
autopep8==1.4
yapf==0.23.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Elpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Elpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Elpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Elpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
elpy (1.28.0-2) unstable; urgency=medium

  * debian/rules: Disable DH_VERBOSE.
  * Use sphinx to generate documentation in html format, and use
    debian/docs to install it.
    (Closes: #928633)
  * Add libjs-sphinxdoc to Recommends.  This package's html doc search page
    fails gracefully with "Please activate JavaScript to enable the search
    functionality" if a user chooses not to install libjs-sphinxdoc.
  * debian/README.Debian: Make explicit how Debian's Elpy package does
    not ship with support for Python 2. (Closes: #927084)
  * debian/control: Clarify comment explaining why the Python 2 package
    python-autopep8 is a build dependency.
  * Add 0002-Add-a-quickstart-section-to-the-documentation-1598.patch
    (Closes: #927085)
  * Add 0004-Enable-elpy-mode-in-python-buffer-when-enabling-Elpy.patch,
    and its prerequisite 0003-Make-sure-we-cannot-load-Elpy-twice.patch.
    Also add 0005-Fix-typo.patch, which is a fixup for the 0003-* patch.
    See DEP-3 headers of patches for more information. (Closes: #926326)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 29 May 2019 18:05:30 -0400

elpy (1.28.0-1) unstable; urgency=medium

  * New upstream version.
  * Rework several sections of README.Debian to be more concise and clear.
  * debian/control: Add "Rules-Requires-Root: no"
  * Update my copyright year range.
  * debian/elpa-test:
    - No longer exclude elpy-news-test.el, which was removed upstream.
    - Re-enable tests from elpy-promise-wait-test.el now that the Python 3.7
      transition is complete.
  * Declare Standards-Version: 4.3.0. (no additional changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 05 Jan 2019 17:13:12 -0500

elpy (1.26.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop 0002-Handle-sphinx-warnings-linked-to-indexnode.patch.
    (merged upstream)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 27 Nov 2018 19:45:22 -0500

elpy (1.25.0-1) unstable; urgency=medium

  * New upstream version.
  * Upstream no longer distributes NEWS.rst
    - debian/rules: Drop build/NEWS generation.
    - Drop debian/local-var-snippet which was only used in NEWS.
    - debian/docs: do not install build/NEWS.
    - debian/elpa-test: Do not run test for elpy-news-should-insert-file,
      because it depends on NEWS.rst, which was dropped upstream.
  * Support 'nodoc' build profile
    - debian/control: Add <!nodoc> to python3-sphinx and texinfo build deps.
    - debian/rules: Only attempt to generate documentation when nodoc is
      not present in DEB_BUILD_PROFILES.
    - debian/rules: Workaround Bug #908078, because dh_sphinxdoc does not
      yet detect when "nodoc" is active and --with sphinxdoc will fail when
      python3-sphinx is not installed.
  * Add lintian-override for wrong-section-according-to-package-name, because
    section "devel" is most appropriate for an IDE for Python development
    when that IDE is implemented in Emacs Lisp.
  * debian/rules: Fix typo.
  * Enable support for Black, the uncompromising Python code formatter, now
    that it has been added to the Debian archive.
    - debian/control: Add black to Build-Depends and Suggests.
    - Drop debian/patches/0002-Disable-tests-for-black-code-formatter.patch.
  * Import upstream 0002-Handle-sphinx-warnings-linked-to-indexnode.patch
    This patch fixes numerous warnings of "4 column based index found" when
    building.
  * Fix sentence fragment in long description.
  * debian/elpa-test: Temporarily disable
    elpy-promise-wait-should-return-early-for-resolved and related tests
    in elpy-promise-wait-test.el.  This test passes 100% of the time with
    python3.6=3.6.6-1 and python3.7=3.7.1~rc1-1 and fails ~40% of the time
    with python3.6=3.6.7~rc1-1.  Issue has been forwarded upstream.  Tests
    involving Elpy "promises" will be reenabled after the Python 3.7
    transition. (Closes: #910311)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 12 Oct 2018 18:16:00 -0400

elpy (1.24.0-1) unstable; urgency=medium

  * New upstream version.
  * Revert "Compress README.rst with gzip before installing" because
    README.rst is only 2.8k and dh_compress already does the right thing
    automatically; that is to say, README.rst is not "larger than 4k in
    size" (dh_compress(1)) and should not be compressed.
  * Exclusively use Python 3 dependencies and configure the use of
    /usr/bin/python3 by default. (Closes: #899212)
  * debian/README.Debian:  Document how Python 2 support is not enabled
    in this Debian package.
  * debian/debian-autoloads.el:
    - Add Debian-specific configuration to default to using Python 3.
    - Document this customisation in README.Debian along with instructions
      on how to revert this when moving between Python 2 and Python 3
      virtualenvs.
    - Additionally unset Elpy's custom PYTHONPATH, which is not needed in
      packages that use dh-python.  Previously Elpy unnecessarily searched
      site-lisp/elpa/elpy-1.23.0 for its associated Python modules.
  * debian/control:
    - Drop python2 dependencies which are no longer needed
      for self-tests to pass.
    - Put ELPA build-dep section before Python one (more alphabetical).
    - Move python3-sphinx build dependency to the section for documentation.
    - Add python3-jupyter-console to Suggests.  The upstream Elpy project
      recommends using Jupyter console for interactive Python.
    - Rely on ${elpa:Depends} and drop explicitly declared ones in bin:pkg.
    - Rely on ${python3:Depends} to generate dependency on python3-flake8.
    - Add build and runtime dependency on flake8, which provides
      /usr/bin/flake8.  This wrapper script is still used in various places,
      and it is part of the flake8 package provided by PyPI/pip.
  * Declare Standards-Version: 4.2.1. (No additional changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 03 Sep 2018 20:08:24 -0400

=== debian/control ===
Source: elpy
Section: devel
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 11~)
             , dh-elpa
             , dh-python
             , elpa-company <!nocheck>
             , elpa-find-file-in-project <!nocheck>
             , elpa-highlight-indentation <!nocheck>
             , elpa-pyvenv <!nocheck>
             , elpa-yasnippet <!nocheck>
             , elpa-s <!nocheck>
             , elpa-dash <!nocheck>
             , elpa-f <!nocheck>
             , python3-all
             , python3-setuptools
             , python3-flake8
             , flake8
             , python3-jedi
             , python3-autopep8 <!nocheck>
# python-autopep8 still seems to be needed for self-tests to pass.
# See the 1.21.0-1 debian/changelog entry on this topic for more info.
             , python-autopep8 <!nocheck>
             , yapf3
             , python3-mock <!nocheck>
             , python3-nose <!nocheck>
             , python3-pip <!nocheck>
             , black <!nocheck>
             , python3-sphinx <!nodoc>
             , texinfo <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/elpy
Vcs-Git: https://salsa.debian.org/emacsen-team/elpy.git
Homepage: https://elpy.readthedocs.io/en/latest/index.html
Testsuite: autopkgtest-pkg-elpa

Package: elpa-elpy
Architecture: all
Depends: ${elpa:Depends}
       , ${python3:Depends}
       , ${misc:Depends}
       , flake8
Recommends: emacs (>= 46.0)
          , python3-jedi
          , libjs-sphinxdoc
Suggests: python3-autopep8
        , yapf3
        , black
        , python3-pip
        , python3-jupyter-console
Enhances: emacs
        , emacs25
Description: Emacs Python Development Environment
 The Emacs Lisp Python Environment in Emacs
 .
 Elpy is an Emacs package that brings powerful Python editing to
 Emacs.  It combines a number of existing Emacs packages, and is
 written in Emacs Lisp as well as Python.
 .
 Features:
   * Navigation by code indentation and code definition.
   * Move the current region as a code block.
   * Treat a working tree as a coherent project; search for files,
     code, or text within the project.
   * Interact with Python interpreters and test runners.
   * Browse the Python built-in documentation.
   * Refactor code and symbols.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = elpy
LC_ALL := C.UTF-8
export LC_ALL

%:
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	echo -e "\nnodoc profile enabled, building without sphinxdoc..\n"
	dh $@ --with elpa,python3 --buildsystem=pybuild
else
	dh $@ --with elpa,python3,sphinxdoc --buildsystem=pybuild
endif

# docs are not generated without this override
override_dh_auto_build:
	dh_auto_build
# support the nodoc build profile
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	echo -e "\nnodoc build profile enabled, therefore not building docs.\n"
else
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man
	PYTHONPATH=. sphinx-build -N -btexinfo docs/ build/info
	makeinfo --no-split build/info/Elpy.texi -o build/info/elpy.info
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
endif

## elpy 1.29.1+40.gb929013

=== requirements.txt ===
flake8==3.7.7
jedi==0.14.0
rope==0.14.0
autopep8==1.4.4
yapf==0.27.0

=== debian/changelog ===
elpy (1.29.1+40.gb929013-1) unstable; urgency=medium

  * Package upstream snapshot.
  * Drop all patches that were merged upstream:
    0002-Add-a-quickstart-section-to-the-documentation-1598.patch
    0003-Make-sure-we-cannot-load-Elpy-twice.patch
    0004-Enable-elpy-mode-in-python-buffer-when-enabling-Elpy.patch
    0005-Fix-typo.patch
  * Register HTML documentation with doc-base.
  * Add a tip to README.Debian about how to trigger elpy-enable only for
    buffers that would use python-mode, instead of unconditionally running
    it during Emacs init.
  * debian/elpa-test: Set elpa-rpc-timeout to double it's default value to
    defend against timing-related self-test failures on DebCI.
  * Add 0002-Double-max-wait-in-elpy-wait-for-output-self-test.patch to
    double the amount of time we wait-for-output during self-tests.
  * Switch to debhelper-compat 12.
  * Declare Standards-Version: 4.4.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 25 Jul 2019 22:20:27 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 12)
              , dh-elpa
              , dh-python
              , elpa-company <!nocheck>
@@ -31,7 +31,7 @@
              , python3-sphinx <!nodoc>
              , texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elpy
 Vcs-Git: https://salsa.debian.org/emacsen-team/elpy.git
 Homepage: https://elpy.readthedocs.io/en/latest/index.html

## elpy 1.32.0

=== requirements.txt ===
flake8==3.7.8

=== debian/changelog ===
elpy (1.32.0-2) unstable; urgency=medium

  [ Salman Mohammadi ]
  * add Suggests: elpa-flycheck because this package can be used as
    an alternative to flymake which is the default on-the-fly syntax checker.
  * rules: disable internet access while building sphinx documentation.
    According to Debian Policy §4.9, packages may not attempt network access
    during the build.

  [ Nicholas D Steeves ]
  * control: Replace tab on ipython3 line with spaces.
  * Add Recommends: elpa-find-file-in-project.  It was previously
    installed via ${elpa:Depends} as an upstream-defined (hard)
    dependency.  Ffip was made somewhat optional in Elpy v1.32.0, and if
    upstream did not depend on it in their Cask and start-clean-elpy.el
    files then this would be more of a Suggests.  Ffip works out-of-the-box
    and does not require configuration, and has been well tested, which is
    why it is the primary candidate.  'elpy-find-file' emits an error if
    neither this package nor Projectile are found, and enabling this
    functionality enhances the IDE experience for most users, thus
    Recommends and not Suggests. (Closes: #948567, #948569)
  * Add elpa-projectile to Recommends as an alternative back-end for
    'elpy-find-file'.  Users who wish to avoid installing elpa-ivy may
    choose this alternative; however, Projectile may require configuration
    to work properly.  Unlike ffip, Projectile does not appear in upstream's
    Cask file, but there are ERT tests for its functionality.
  * Add elpa-projectile to Build-Depends to activate these tests.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 16 Feb 2020 16:55:58 -0500

elpy (1.32.0-1) unstable; urgency=medium

  [ Salman Mohammadi ]
  * d/control: add python3-sphinx-rtd-theme as a build dependency

  [ Nicholas D Steeves ]
  * Add missing newline to patch series.
  * Add ${sphinxdoc:Depends} to elpa-elpy's Depends.  This installs the
    rtd-theme, which must be a Depends and not a Recommends.  This will also
    install libjs-sphinxdoc as a hard dep, so drop it from Recommends.
  * New upstream release.
  * Rebase patch series onto upstream 1.32.0.
  * Drop 0002-Add-script-to-benchmark-tests.patch which is a commit that
    is present in this release.
  * ert-helper.el: Upstream fixed bugs in scripts/elpy-test-benchmark.el
    which were causing tests to fail due to an unclean test environment,
    so it became possible to drop the (prog1 FIRST BODY) form that was
    used to run tests first.  Also, this means it became possible to move
    (ert-run-tests-batch-and-exit) to the position of the final expression,
    which is what dh-elpa requires.  See Bug #941330 for more info.
  * debian-autoloads.el: Set elpy-rpc-virtualenv-path to "'system".
    Upstream has moved to a default where everything is installed to a
    virtualenv using pip, which is incompatible with Debian Policy.  This
    configuration key restores the previous behaviour of using system
    Python packages by default.
  * rules: Activate ELPY_TEST_DONT_USE_VIRTUALENV, because self-tests and
    autopkgtests test virtualenv creation using pip rather than the
    package as-installed, even when elpy-rpc-virtualenv-path is set to
    "'system".
  * The change above doesn't solve to autopkgtest case, and using
    ert-helper.el doesn't work, so add
    0005-test-helper.el-uniquivocally-set-elpy-test-dont-use-.patch.  It
    is unclear whether this is an upstream bug or a dh-elpa bug.
  * debian-autoloads.el: Add "-E" to python-shell-interpreter args, to
    "Ignore environment variables like PYTHONPATH and PYTHONHOME that
    modify the behavior of the interpreter." (man python3(1)).
  * Disable the execution of benchmarks from ert-runner.el (which is
    called from dh-elpa).  See comment in ert-runner.el for rationale.  It
    is unclear whether these fail due to an upstream Elpy, Emacs, or
    dh-elpa bug.  See https://github.com/jorgenschaefer/elpy/issues/1724
    for more info.  Help would be appreciated!

  [ Salman Mohammadi and Nicholas D Steeves ]
  * Add 0004-docs-conf.py-build-the-documentation-using-sphinx_rt.patch to
    build the documentation using the sphinx_rtd_theme.
  * d/control: Change python3-jupyter-console Suggests to jupyter-console,
    because python3-jupyter-console does not provide
    /usr/bin/jupyter-console, which Elpy requires in order to use this
    functionality.
  * d/control: Add ipython3 to Suggests, but not as an alternative to
    jupyter-console.  IPython can also be configured to be used with Elpy
    as an interactive Python shell.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 09 Jan 2020 16:22:02 -0700

elpy (1.31.0-1) unstable; urgency=medium

  * New upstream version.
  * Add Upstream-Contact to copyright file.
  * Add 0002-Add-script-to-benchmark-tests.patch.  It was cherry picked
    from upstream.
  * Move 0002-Double-max-wait-in-elpy-wait-for-output-self-test.patch to the
    end of the series, and rebase it on the previous patch.
  * Move as much as possible of debian/elpa-test's ert_eval expression to
    debian/ert-helper.el, run ert-run-tests-batch elpy-test-benchmark.el
    in strict order, and return the result of ert-run-tests-batch.
  * Drop elpy/* from autopkgtest_keep.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 14 Sep 2019 19:35:28 -0400

elpy (1.29.1+65.g8adc427-1) unstable; urgency=medium

  * Package new upstream snapshot.
    Elpy should now be ready for the Python 2 removal.
  * Drop build-dep on python3-flake8, because flake8's deps now provide it.
  * Drop emacs25 from Enhances, because it's now just a dummy package.
  * Drop python-autopep8 from build-deps; it is no longer needed for self-tests.
  * Switch from using "sphinx-build" to new explicit "python3 -m sphinx" method.
  * ReST files are already installed to /usr/share/doc/elpa-elpy/html/_sources
    so it makes sense to make them more visible and discoverable with links to


=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
              , elpa-company <!nocheck>
              , elpa-find-file-in-project <!nocheck>
              , elpa-highlight-indentation <!nocheck>
+             , elpa-projectile <!nocheck>
              , elpa-pyvenv <!nocheck>
              , elpa-yasnippet <!nocheck>
              , elpa-s <!nocheck>
@@ -16,19 +17,16 @@
              , elpa-f <!nocheck>
              , python3-all
              , python3-setuptools
-             , python3-flake8
              , flake8
              , python3-jedi
              , python3-autopep8 <!nocheck>
-# python-autopep8 still seems to be needed for self-tests to pass.
-# See the 1.21.0-1 debian/changelog entry on this topic for more info.
-             , python-autopep8 <!nocheck>
              , yapf3
              , python3-mock <!nocheck>
              , python3-nose <!nocheck>
              , python3-pip <!nocheck>
              , black <!nocheck>
              , python3-sphinx <!nodoc>
+	     , python3-sphinx-rtd-theme <!nodoc>
              , texinfo <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.4.0
@@ -41,18 +39,21 @@
 Architecture: all
 Depends: ${elpa:Depends}
        , ${python3:Depends}
+       , ${sphinxdoc:Depends}
        , ${misc:Depends}
        , flake8
 Recommends: emacs (>= 46.0)
           , python3-jedi
-          , libjs-sphinxdoc
+          , elpa-find-file-in-project | elpa-projectile
 Suggests: python3-autopep8
         , yapf3
         , black
         , python3-pip
-        , python3-jupyter-console
+        , jupyter-console
+        , ipython3
+        , elpa-flycheck
+        , elpa-pip-requirements
 Enhances: emacs
-        , emacs25
 Description: Emacs Python Development Environment
  The Emacs Lisp Python Environment in Emacs
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = elpy
LC_ALL := C.UTF-8
export LC_ALL
ELPY_TEST_DONT_USE_VIRTUALENV := t
export ELPY_TEST_DONT_USE_VIRTUALENV

%:
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	echo -e "\nnodoc profile enabled, building without sphinxdoc..\n"
	dh $@ --with elpa,python3 --buildsystem=pybuild
else
	dh $@ --with elpa,python3,sphinxdoc --buildsystem=pybuild
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
# docs are not generated without this override
override_dh_auto_build:
	dh_auto_build
# support the nodoc build profile
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	echo -e "\nnodoc build profile enabled, therefore not building docs.\n"
else
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man
	PYTHONPATH=. python3 -m sphinx -N -btexinfo docs/ build/info
	makeinfo --no-split build/info/Elpy.texi -o build/info/elpy.info
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
endif

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/elpy-$1.tar.gz/" \
    https://github.com/jorgenschaefer/elpy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## elpy 1.34.0

=== debian/changelog ===
elpy (1.34.0-2) unstable; urgency=medium

  * Add 0006-docs-migrate-away-from-functions-removed-in-Sphinx-3.patch
    to fix FTBFS with Sphinx 3.1.1 (Closes: #963647).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 30 Jun 2020 08:33:30 -0400

elpy (1.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release.
  * Drop 0006-Fix-a-fatal-typo-in-elpy-format-code.patch (merged upstream).
  * Switch to debhelper-compat 13.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 28 May 2020 17:26:03 -0400

elpy (1.33.0-2) unstable; urgency=medium

  * Add 0006-Fix-a-fatal-typo-in-elpy-format-code.patch, a commit cherry
    picked from upstream that resolves a fatal error in elpy-format-code.
    Thanks to Paul Martin for filing an excellent Debian bug on the topic,
    and for providing a link to the upstream commit. (Closes: #959053)
  * Declare Standards-Version: 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 28 Apr 2020 19:42:51 -0400

elpy (1.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch series onto upstream 1.33.0.
  * Add pyprof2calltree to Suggests.  Pyprof2calltree converts cProfile
    data into a format that is consumable by kcachegrind and qcachegrind for
    graphical calltree analysis.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 09 Apr 2020 20:35:40 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , dh-python
              , elpa-company <!nocheck>
@@ -29,7 +29,7 @@
 	     , python3-sphinx-rtd-theme <!nodoc>
              , texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elpy
 Vcs-Git: https://salsa.debian.org/emacsen-team/elpy.git
 Homepage: https://elpy.readthedocs.io/en/latest/index.html
@@ -53,6 +53,7 @@
         , ipython3
         , elpa-flycheck
         , elpa-pip-requirements
+        , pyprof2calltree
 Enhances: emacs
 Description: Emacs Python Development Environment
  The Emacs Lisp Python Environment in Emacs
